org.apache.maven.plugins.shade.pom

## Class MavenJDOMWriter.Counter

- java.lang.Object
- - org.apache.maven.plugins.shade.pom.MavenJDOMWriter.Counter

Enclosing class:
  MavenJDOMWriter

    public class MavenJDOMWriter.Counter
    extends Object

Class Counter.

Version:
  $Revision: 1300048 $ $Date: 2012-03-13 11:09:35 +0100 (Tue, 13 Mar 2012) $

### Constructor Summary

Constructors
Constructor and Description
`MavenJDOMWriter.Counter(int depthLevel)`

### Method Summary

Methods
`int` `getCurrentIndex()` Method getCurrentIndex
`int` `getDepth()` Method getDepth
`void` `increaseCount()` Method increaseCount

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MavenJDOMWriter.Counter

    public MavenJDOMWriter.Counter(int depthLevel)

### Method Detail

#### getCurrentIndex

    public int getCurrentIndex()

Method getCurrentIndex

#### getDepth

    public int getDepth()

Method getDepth

#### increaseCount

    public void increaseCount()

Method increaseCount